Page MenuHomePhabricator

Use after free in elementary_test animation tests
Closed, ResolvedPublic

Description

elementary_test's efl.animation.interpolator test performs invalid memory access if the window is closed during the animation. This can even lead to elementary_test crashing after the main window is closed.

ManMower created this task.Sep 11 2018, 8:42 AM
zmike triaged this task as High priority.Jan 14 2019, 11:18 AM
zmike edited projects, added efl: widgets, efl (efl-1.22); removed efl.

Just for reference, I tested this with git master from today (1/14/2019), and I cannot reproduce this in either X11 or Wayland.

I just run under valgrind under weston, looks like it's still a problem.

Ok, I'll try again tomorrow under Weston. Thanks

ManMower closed this task as Resolved.Jan 16 2019, 9:17 AM
ManMower claimed this task.
ManMower reassigned this task from ManMower to devilhorns.Jan 16 2019, 9:27 AM